package utils

import (
	"github.com/bwmarrin/snowflake"
	"log"
)

var instance *snowflake.Node

func InitSnowflake(node int64) *snowflake.Node {
	n, err := snowflake.NewNode(node)
	if err != nil {
		log.Fatalf("create snowflake's node failed: %v", err)
	}
	instance = n
	return instance
}

func SnowflakeInstance() *snowflake.Node {
	if instance == nil {
		log.Fatal("snowflake's not init")
	}
	return instance
}
